Get System Notification

Get System Notification

Use this endpoint to fetch specific system notification details
Authorized Roles : PROVIDER or ORG_ADMIN or ORG_USER

Request
URI
GET
https://{api_host}/provider/notifications/{id}
COPY
Path Parameters
string
id
Required

ID of the notification


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns userDefinedSystemAlertsDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": "string",
    "targetId": "string",
    "targetType": "string",
    "targetName": "string",
    "alertDefinitionType": "string",
    "status": "string",
    "lastModifiedTime": "string",
    "lastModifiedUserEmail": "string",
    "webhooks": [
        {
            "id": "string",
            "name": "string",
            "url": "string",
            "endpointType": "string",
            "status": "string",
            "createdByUserEmail": "string",
            "lastModifiedTime": "string",
            "lastModifiedUserEmail": "string",
            "orgId": "string",
            "dbCount": 0,
            "links": [
                {
                    "rel": "string",
                    "href": "string",
                    "hreflang": "string",
                    "media": "string",
                    "title": "string",
                    "type": "string",
                    "deprecation": "string",
                    "profile": "string",
                    "name": "string"
                }
            ]
        }
    ],
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ]
}
string As uuid As uuid
id
Optional

id

string As uuid As uuid
targetId
Optional

targetId

string
targetType
Optional

targetType

Possible values are : SERVICE_INSTANCE, SERVICE_INSTANCE_GROUP, TENANT_ENVIRONMENT, PROVIDER_ENVIRONMENT, TEMPLATE, NAMESPACE, BYOI_TEMPLATE, S3_STORAGE,
string
targetName
Optional

targetName

string
alertDefinitionType
Optional

alertDefinitionType

Possible values are : DB_STATUS_CHANGE, DB_TASK_FAILURE,
string
status
Optional

status

Possible values are : ENABLED, DISABLED,
string As date-time As date-time
lastModifiedTime
Optional

lastModifiedTime

string
lastModifiedUserEmail
Optional

lastModifiedUserEmail

webhooks
Optional

webhooks

array of Link
links
Optional

links


400

Bad Request

Operation doesn't return any data structure